package com.mortals.xhx.common.pdu.gen.component;

import com.mortals.xhx.common.code.ComponentEnum;
import com.mortals.xhx.common.pdu.gen.*;

import java.util.ArrayList;

/**
 * 时间组件
 *
 * @author: zxfei
 * @date: 2021/10/26 10:35
 * @description:
 **/
public class DateComponent extends Component {

    public DateComponent(String type) {
        super(type);
    }

    @Override
    public FieldsItem buildDefaultComponent(ComponentCons cons) {
        //时间选择
        FieldsItem fieldsItem = new FieldsItem();
        Config config = new Config();
        config.setLabel("日期选择");
        config.setTag("el-date-picker");
        config.setTagIcon("date");
        config.setLabelWidth("");
        config.setShowLabel(true);
        config.setChangeTag(true);
        config.setRequired(true);
        config.setLayout("colFormItem");
        config.setDocument("https://element.eleme.cn/#/zh-CN/component/input");
        config.setRegList(new ArrayList<>());
        config.setSpan(12);
        fieldsItem.setConfig(config);
        fieldsItem.setType("date");

        Style style = new Style();
        style.setWidth("100%");
        fieldsItem.setStyle(style);
        fieldsItem.setClearable(true);
        fieldsItem.setPlaceholder("请选择日期");
        fieldsItem.setFormat("yyyy 年 MM 月 dd 日");
        fieldsItem.setValueFormat("yyyy 年 MM 月 dd 日");
        fieldsItem.setReadonly(false);
        fieldsItem.setDisabled(false);
        fieldsItem.setVModel("datepick");

        return fieldsItem;
    }

    @Override
    public String getType() {
        return ComponentEnum.DATE.getValue();
    }
}
